Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_TSS_Resources Class Reference

The TSS resoures shared by all the ORBs. More...

`#include <ORB_Core.h>`

Collaboration diagram for TAO_TSS_Resources:

[legend]
List of all members.

## Public Methods
| TAO_TSS_Resources (void)
| Constructor.
| ~TAO_TSS_Resources (void)
| Destructor.
## Public Attributes
void* | poa_current_impl_
CORBA_Environment* | default_environment_
| The default environment for the thread.
CORBA_Environment | tss_environment_
| If the user (or library) provides no environment the ORB_Core still holds one.
## Private Methods
| TAO_TSS_Resources (const TAO_TSS_Resources&)
void | operator= (const TAO_TSS_Resources&)

## Detailed Description

The TSS resoures shared by all the ORBs.

This class is used by TAO to store the resources that are thread-specific but are *not* ORB specific. The members are public because only the ORB Core is expected to access them.

## Constructor & Destructor Documentation

TAO_TSS_Resources::TAO_TSS_Resources ( | void )

| Constructor.

TAO_TSS_Resources::~TAO_TSS_Resources ( | void )

| Destructor.

TAO_TSS_Resources::TAO_TSS_Resources ( | const TAO_TSS_Resources & )`[private]`

## Member Function Documentation

void TAO_TSS_Resources::operator= ( | const TAO_TSS_Resources & )`[private]`

## Member Data Documentation

CORBA_Environment * TAO_TSS_Resources::default_environment_

| The default environment for the thread.

void * TAO_TSS_Resources::poa_current_impl_

| Points to structure containing state for the current upcall context in this thread. Note that it does not come from the resource factory because it must always be held in thread-specific storage. For now, since TAO_ORB_Core instances are TSS singletons, we simply ride along and don't allocate occupy another TSS slot since there are some platforms where those are precious commodities (e.g., NT).

CORBA_Environment TAO_TSS_Resources::tss_environment_

| If the user (or library) provides no environment the ORB_Core still holds one.

The documentation for this class was generated from the following files:

- ORB_Core.h
- ORB_Core.cpp